// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.18.1
// source: vseth/vis/infoscreen/infoscreen.proto

package infoscreen

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type Empty struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *Empty) Reset() {
	*x = Empty{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Empty) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Empty) ProtoMessage() {}

func (x *Empty) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Empty.ProtoReflect.Descriptor instead.
func (*Empty) Descriptor() ([]byte, []int) {
	return file_vseth_vis_infoscreen_infoscreen_proto_rawDescGZIP(), []int{0}
}

type GetInfoPageRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id uint32 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *GetInfoPageRequest) Reset() {
	*x = GetInfoPageRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetInfoPageRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetInfoPageRequest) ProtoMessage() {}

func (x *GetInfoPageRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetInfoPageRequest.ProtoReflect.Descriptor instead.
func (*GetInfoPageRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_infoscreen_infoscreen_proto_rawDescGZIP(), []int{1}
}

func (x *GetInfoPageRequest) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

type CreateInfoPageRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Page *InfoPage `protobuf:"bytes,1,opt,name=page,proto3" json:"page,omitempty"`
}

func (x *CreateInfoPageRequest) Reset() {
	*x = CreateInfoPageRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *CreateInfoPageRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*CreateInfoPageRequest) ProtoMessage() {}

func (x *CreateInfoPageRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use CreateInfoPageRequest.ProtoReflect.Descriptor instead.
func (*CreateInfoPageRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_infoscreen_infoscreen_proto_rawDescGZIP(), []int{2}
}

func (x *CreateInfoPageRequest) GetPage() *InfoPage {
	if x != nil {
		return x.Page
	}
	return nil
}

type DeleteInfoPageRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id uint32 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *DeleteInfoPageRequest) Reset() {
	*x = DeleteInfoPageRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteInfoPageRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteInfoPageRequest) ProtoMessage() {}

func (x *DeleteInfoPageRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteInfoPageRequest.ProtoReflect.Descriptor instead.
func (*DeleteInfoPageRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_infoscreen_infoscreen_proto_rawDescGZIP(), []int{3}
}

func (x *DeleteInfoPageRequest) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

type ListInfoRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *ListInfoRequest) Reset() {
	*x = ListInfoRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListInfoRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListInfoRequest) ProtoMessage() {}

func (x *ListInfoRequest) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListInfoRequest.ProtoReflect.Descriptor instead.
func (*ListInfoRequest) Descriptor() ([]byte, []int) {
	return file_vseth_vis_infoscreen_infoscreen_proto_rawDescGZIP(), []int{4}
}

type InfoPageMeta struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id          uint32                 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	Name        string                 `protobuf:"bytes,2,opt,name=name,proto3" json:"name,omitempty"`
	Association string                 `protobuf:"bytes,3,opt,name=association,proto3" json:"association,omitempty"`
	Duration    uint32                 `protobuf:"varint,4,opt,name=duration,proto3" json:"duration,omitempty"` //In seconds
	Start       *timestamppb.Timestamp `protobuf:"bytes,5,opt,name=start,proto3" json:"start,omitempty"`
	End         *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=end,proto3" json:"end,omitempty"`
	Pageurl     string                 `protobuf:"bytes,7,opt,name=pageurl,proto3" json:"pageurl,omitempty"`
}

func (x *InfoPageMeta) Reset() {
	*x = InfoPageMeta{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InfoPageMeta) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InfoPageMeta) ProtoMessage() {}

func (x *InfoPageMeta) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InfoPageMeta.ProtoReflect.Descriptor instead.
func (*InfoPageMeta) Descriptor() ([]byte, []int) {
	return file_vseth_vis_infoscreen_infoscreen_proto_rawDescGZIP(), []int{5}
}

func (x *InfoPageMeta) GetId() uint32 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *InfoPageMeta) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *InfoPageMeta) GetAssociation() string {
	if x != nil {
		return x.Association
	}
	return ""
}

func (x *InfoPageMeta) GetDuration() uint32 {
	if x != nil {
		return x.Duration
	}
	return 0
}

func (x *InfoPageMeta) GetStart() *timestamppb.Timestamp {
	if x != nil {
		return x.Start
	}
	return nil
}

func (x *InfoPageMeta) GetEnd() *timestamppb.Timestamp {
	if x != nil {
		return x.End
	}
	return nil
}

func (x *InfoPageMeta) GetPageurl() string {
	if x != nil {
		return x.Pageurl
	}
	return ""
}

type InfoPage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Meta  *InfoPageMeta `protobuf:"bytes,1,opt,name=meta,proto3" json:"meta,omitempty"`
	Html  []byte        `protobuf:"bytes,2,opt,name=html,proto3" json:"html,omitempty"`
	Files []*File       `protobuf:"bytes,3,rep,name=files,proto3" json:"files,omitempty"`
}

func (x *InfoPage) Reset() {
	*x = InfoPage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *InfoPage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*InfoPage) ProtoMessage() {}

func (x *InfoPage) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use InfoPage.ProtoReflect.Descriptor instead.
func (*InfoPage) Descriptor() ([]byte, []int) {
	return file_vseth_vis_infoscreen_infoscreen_proto_rawDescGZIP(), []int{6}
}

func (x *InfoPage) GetMeta() *InfoPageMeta {
	if x != nil {
		return x.Meta
	}
	return nil
}

func (x *InfoPage) GetHtml() []byte {
	if x != nil {
		return x.Html
	}
	return nil
}

func (x *InfoPage) GetFiles() []*File {
	if x != nil {
		return x.Files
	}
	return nil
}

type File struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name        string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Data        []byte `protobuf:"bytes,2,opt,name=data,proto3" json:"data,omitempty"`
	ContentType string `protobuf:"bytes,3,opt,name=content_type,json=contentType,proto3" json:"content_type,omitempty"`
}

func (x *File) Reset() {
	*x = File{}
	if protoimpl.UnsafeEnabled {
		mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *File) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*File) ProtoMessage() {}

func (x *File) ProtoReflect() protoreflect.Message {
	mi := &file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use File.ProtoReflect.Descriptor instead.
func (*File) Descriptor() ([]byte, []int) {
	return file_vseth_vis_infoscreen_infoscreen_proto_rawDescGZIP(), []int{7}
}

func (x *File) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *File) GetData() []byte {
	if x != nil {
		return x.Data
	}
	return nil
}

func (x *File) GetContentType() string {
	if x != nil {
		return x.ContentType
	}
	return ""
}

var File_vseth_vis_infoscreen_infoscreen_proto protoreflect.FileDescriptor

var file_vseth_vis_infoscreen_infoscreen_proto_rawDesc = []byte{
	0x0a, 0x25, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x69, 0x6e, 0x66, 0x6f,
	0x73, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x2f, 0x69, 0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65,
	0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x14, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76,
	0x69, 0x73, 0x2e, 0x69, 0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x1a, 0x1f, 0x67,
	0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74,
	0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x07,
	0x0a, 0x05, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x22, 0x24, 0x0a, 0x12, 0x47, 0x65, 0x74, 0x49, 0x6e,
	0x66, 0x6f, 0x50, 0x61, 0x67, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52, 0x02, 0x69, 0x64, 0x22, 0x4b, 0x0a,
	0x15, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x50, 0x61, 0x67, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x32, 0x0a, 0x04, 0x70, 0x61, 0x67, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1e, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73,
	0x2e, 0x69, 0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x2e, 0x49, 0x6e, 0x66, 0x6f,
	0x50, 0x61, 0x67, 0x65, 0x52, 0x04, 0x70, 0x61, 0x67, 0x65, 0x22, 0x27, 0x0a, 0x15, 0x44, 0x65,
	0x6c, 0x65, 0x74, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x50, 0x61, 0x67, 0x65, 0x52, 0x65, 0x71, 0x75,
	0x65, 0x73, 0x74, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0d, 0x52,
	0x02, 0x69, 0x64, 0x22, 0x11, 0x0a, 0x0f, 0x4c, 0x69, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x22, 0xea, 0x01, 0x0a, 0x0c, 0x49, 0x6e, 0x66, 0x6f, 0x50,
	0x61, 0x67, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x0d, 0x52, 0x02, 0x69, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x61,
	0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x61, 0x73, 0x73, 0x6f, 0x63, 0x69, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1a, 0x0a,
	0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x0d, 0x52,
	0x08, 0x64, 0x75, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x30, 0x0a, 0x05, 0x73, 0x74, 0x61,
	0x72, 0x74, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73,
	0x74, 0x61, 0x6d, 0x70, 0x52, 0x05, 0x73, 0x74, 0x61, 0x72, 0x74, 0x12, 0x2c, 0x0a, 0x03, 0x65,
	0x6e, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c,
	0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73,
	0x74, 0x61, 0x6d, 0x70, 0x52, 0x03, 0x65, 0x6e, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x70, 0x61, 0x67,
	0x65, 0x75, 0x72, 0x6c, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x70, 0x61, 0x67, 0x65,
	0x75, 0x72, 0x6c, 0x22, 0x88, 0x01, 0x0a, 0x08, 0x49, 0x6e, 0x66, 0x6f, 0x50, 0x61, 0x67, 0x65,
	0x12, 0x36, 0x0a, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x22,
	0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x69, 0x6e, 0x66, 0x6f, 0x73,
	0x63, 0x72, 0x65, 0x65, 0x6e, 0x2e, 0x49, 0x6e, 0x66, 0x6f, 0x50, 0x61, 0x67, 0x65, 0x4d, 0x65,
	0x74, 0x61, 0x52, 0x04, 0x6d, 0x65, 0x74, 0x61, 0x12, 0x12, 0x0a, 0x04, 0x68, 0x74, 0x6d, 0x6c,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x68, 0x74, 0x6d, 0x6c, 0x12, 0x30, 0x0a, 0x05,
	0x66, 0x69, 0x6c, 0x65, 0x73, 0x18, 0x03, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x76, 0x73,
	0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x69, 0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65,
	0x65, 0x6e, 0x2e, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x05, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x22, 0x51,
	0x0a, 0x04, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x64, 0x61,
	0x74, 0x61, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0c, 0x52, 0x04, 0x64, 0x61, 0x74, 0x61, 0x12, 0x21,
	0x0a, 0x0c, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x5f, 0x74, 0x79, 0x70, 0x65, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x63, 0x6f, 0x6e, 0x74, 0x65, 0x6e, 0x74, 0x54, 0x79, 0x70,
	0x65, 0x32, 0xfb, 0x02, 0x0a, 0x0a, 0x49, 0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65, 0x6e,
	0x12, 0x5c, 0x0a, 0x0d, 0x4c, 0x69, 0x73, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x50, 0x61, 0x67, 0x65,
	0x73, 0x12, 0x25, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x69, 0x6e,
	0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x49, 0x6e, 0x66,
	0x6f, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x22, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2e, 0x76, 0x69, 0x73, 0x2e, 0x69, 0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x2e,
	0x49, 0x6e, 0x66, 0x6f, 0x50, 0x61, 0x67, 0x65, 0x4d, 0x65, 0x74, 0x61, 0x30, 0x01, 0x12, 0x57,
	0x0a, 0x0b, 0x47, 0x65, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x50, 0x61, 0x67, 0x65, 0x12, 0x28, 0x2e,
	0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x69, 0x6e, 0x66, 0x6f, 0x73, 0x63,
	0x72, 0x65, 0x65, 0x6e, 0x2e, 0x47, 0x65, 0x74, 0x49, 0x6e, 0x66, 0x6f, 0x50, 0x61, 0x67, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1e, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e,
	0x76, 0x69, 0x73, 0x2e, 0x69, 0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x2e, 0x49,
	0x6e, 0x66, 0x6f, 0x50, 0x61, 0x67, 0x65, 0x12, 0x5a, 0x0a, 0x0e, 0x43, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x49, 0x6e, 0x66, 0x6f, 0x50, 0x61, 0x67, 0x65, 0x12, 0x2b, 0x2e, 0x76, 0x73, 0x65, 0x74,
	0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x69, 0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65, 0x6e,
	0x2e, 0x43, 0x72, 0x65, 0x61, 0x74, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x50, 0x61, 0x67, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76,
	0x69, 0x73, 0x2e, 0x69, 0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x2e, 0x45, 0x6d,
	0x70, 0x74, 0x79, 0x12, 0x5a, 0x0a, 0x0e, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x49, 0x6e, 0x66,
	0x6f, 0x50, 0x61, 0x67, 0x65, 0x12, 0x2b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69,
	0x73, 0x2e, 0x69, 0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x2e, 0x44, 0x65, 0x6c,
	0x65, 0x74, 0x65, 0x49, 0x6e, 0x66, 0x6f, 0x50, 0x61, 0x67, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x1b, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e, 0x69,
	0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x2e, 0x45, 0x6d, 0x70, 0x74, 0x79, 0x42,
	0x68, 0x0a, 0x17, 0x63, 0x68, 0x2e, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2e, 0x76, 0x69, 0x73, 0x2e,
	0x69, 0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x5a, 0x4d, 0x67, 0x69, 0x74, 0x6c,
	0x61, 0x62, 0x2e, 0x65, 0x74, 0x68, 0x7a, 0x2e, 0x63, 0x68, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68,
	0x2f, 0x30, 0x34, 0x30, 0x33, 0x2d, 0x69, 0x73, 0x67, 0x2f, 0x6c, 0x69, 0x62, 0x72, 0x61, 0x72,
	0x69, 0x65, 0x73, 0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x73, 0x74, 0x75, 0x62, 0x2d, 0x67, 0x6f,
	0x6c, 0x61, 0x6e, 0x67, 0x2f, 0x76, 0x73, 0x65, 0x74, 0x68, 0x2f, 0x76, 0x69, 0x73, 0x2f, 0x69,
	0x6e, 0x66, 0x6f, 0x73, 0x63, 0x72, 0x65, 0x65, 0x6e, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x33,
}

var (
	file_vseth_vis_infoscreen_infoscreen_proto_rawDescOnce sync.Once
	file_vseth_vis_infoscreen_infoscreen_proto_rawDescData = file_vseth_vis_infoscreen_infoscreen_proto_rawDesc
)

func file_vseth_vis_infoscreen_infoscreen_proto_rawDescGZIP() []byte {
	file_vseth_vis_infoscreen_infoscreen_proto_rawDescOnce.Do(func() {
		file_vseth_vis_infoscreen_infoscreen_proto_rawDescData = protoimpl.X.CompressGZIP(file_vseth_vis_infoscreen_infoscreen_proto_rawDescData)
	})
	return file_vseth_vis_infoscreen_infoscreen_proto_rawDescData
}

var file_vseth_vis_infoscreen_infoscreen_proto_msgTypes = make([]protoimpl.MessageInfo, 8)
var file_vseth_vis_infoscreen_infoscreen_proto_goTypes = []interface{}{
	(*Empty)(nil),                 // 0: vseth.vis.infoscreen.Empty
	(*GetInfoPageRequest)(nil),    // 1: vseth.vis.infoscreen.GetInfoPageRequest
	(*CreateInfoPageRequest)(nil), // 2: vseth.vis.infoscreen.CreateInfoPageRequest
	(*DeleteInfoPageRequest)(nil), // 3: vseth.vis.infoscreen.DeleteInfoPageRequest
	(*ListInfoRequest)(nil),       // 4: vseth.vis.infoscreen.ListInfoRequest
	(*InfoPageMeta)(nil),          // 5: vseth.vis.infoscreen.InfoPageMeta
	(*InfoPage)(nil),              // 6: vseth.vis.infoscreen.InfoPage
	(*File)(nil),                  // 7: vseth.vis.infoscreen.File
	(*timestamppb.Timestamp)(nil), // 8: google.protobuf.Timestamp
}
var file_vseth_vis_infoscreen_infoscreen_proto_depIdxs = []int32{
	6, // 0: vseth.vis.infoscreen.CreateInfoPageRequest.page:type_name -> vseth.vis.infoscreen.InfoPage
	8, // 1: vseth.vis.infoscreen.InfoPageMeta.start:type_name -> google.protobuf.Timestamp
	8, // 2: vseth.vis.infoscreen.InfoPageMeta.end:type_name -> google.protobuf.Timestamp
	5, // 3: vseth.vis.infoscreen.InfoPage.meta:type_name -> vseth.vis.infoscreen.InfoPageMeta
	7, // 4: vseth.vis.infoscreen.InfoPage.files:type_name -> vseth.vis.infoscreen.File
	4, // 5: vseth.vis.infoscreen.Infoscreen.ListInfoPages:input_type -> vseth.vis.infoscreen.ListInfoRequest
	1, // 6: vseth.vis.infoscreen.Infoscreen.GetInfoPage:input_type -> vseth.vis.infoscreen.GetInfoPageRequest
	2, // 7: vseth.vis.infoscreen.Infoscreen.CreateInfoPage:input_type -> vseth.vis.infoscreen.CreateInfoPageRequest
	3, // 8: vseth.vis.infoscreen.Infoscreen.DeleteInfoPage:input_type -> vseth.vis.infoscreen.DeleteInfoPageRequest
	5, // 9: vseth.vis.infoscreen.Infoscreen.ListInfoPages:output_type -> vseth.vis.infoscreen.InfoPageMeta
	6, // 10: vseth.vis.infoscreen.Infoscreen.GetInfoPage:output_type -> vseth.vis.infoscreen.InfoPage
	0, // 11: vseth.vis.infoscreen.Infoscreen.CreateInfoPage:output_type -> vseth.vis.infoscreen.Empty
	0, // 12: vseth.vis.infoscreen.Infoscreen.DeleteInfoPage:output_type -> vseth.vis.infoscreen.Empty
	9, // [9:13] is the sub-list for method output_type
	5, // [5:9] is the sub-list for method input_type
	5, // [5:5] is the sub-list for extension type_name
	5, // [5:5] is the sub-list for extension extendee
	0, // [0:5] is the sub-list for field type_name
}

func init() { file_vseth_vis_infoscreen_infoscreen_proto_init() }
func file_vseth_vis_infoscreen_infoscreen_proto_init() {
	if File_vseth_vis_infoscreen_infoscreen_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Empty); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetInfoPageRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*CreateInfoPageRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteInfoPageRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListInfoRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InfoPageMeta); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*InfoPage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_vseth_vis_infoscreen_infoscreen_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*File); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_vseth_vis_infoscreen_infoscreen_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   8,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_vseth_vis_infoscreen_infoscreen_proto_goTypes,
		DependencyIndexes: file_vseth_vis_infoscreen_infoscreen_proto_depIdxs,
		MessageInfos:      file_vseth_vis_infoscreen_infoscreen_proto_msgTypes,
	}.Build()
	File_vseth_vis_infoscreen_infoscreen_proto = out.File
	file_vseth_vis_infoscreen_infoscreen_proto_rawDesc = nil
	file_vseth_vis_infoscreen_infoscreen_proto_goTypes = nil
	file_vseth_vis_infoscreen_infoscreen_proto_depIdxs = nil
}
